/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.proxy;

import java.util.Collection;

import net.disy.ogc.ows.v_1_1_0.OwsException;
import net.disy.ogc.wps.v_1_0_0.WpsProcess;

/*
 * Factory for proxy WPS processes.
 */
public interface ProxyWpsProcessFactory {

  /**
   * Creates a collection of proxy processes for the given GetCapabilities URL.
   * @see WpsProcess
   * @param url GetCapabilities URL of the remote server.
   * @return Collection of proxy WPS processes.
   */
  public Collection<WpsProcess> createProxyWpsProcesses(String url)
      throws OwsException,
      WPSConnectionException,
      WPSMarshallingException;

}
